package com.chenyang.nse.bussiness.entity.orm.table.core.masking;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_SYNC_KEYINDEX"
)
public class TCoreSyncKeyindex extends TBaseEntity {
   private Date keystarttime;
   private Date keyendtime;
   private Date indexstarttime;
   private Date indexendtime;
   private String taskid;
   private String tasktableid;

   public TCoreSyncKeyindex() {
   }

   public Date getKeystarttime() {
      return this.keystarttime;
   }

   public void setKeystarttime(Date keystarttime) {
      this.keystarttime = keystarttime;
   }

   public Date getKeyendtime() {
      return this.keyendtime;
   }

   public void setKeyendtime(Date keyendtime) {
      this.keyendtime = keyendtime;
   }

   public Date getIndexstarttime() {
      return this.indexstarttime;
   }

   public void setIndexstarttime(Date indexstarttime) {
      this.indexstarttime = indexstarttime;
   }

   public Date getIndexendtime() {
      return this.indexendtime;
   }

   public void setIndexendtime(Date indexendtime) {
      this.indexendtime = indexendtime;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getTasktableid() {
      return this.tasktableid;
   }

   public void setTasktableid(String tasktableid) {
      this.tasktableid = tasktableid;
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.indexendtime == null ? 0 : this.indexendtime.hashCode());
      result = 31 * result + (this.indexstarttime == null ? 0 : this.indexstarttime.hashCode());
      result = 31 * result + (this.keyendtime == null ? 0 : this.keyendtime.hashCode());
      result = 31 * result + (this.keystarttime == null ? 0 : this.keystarttime.hashCode());
      result = 31 * result + (this.taskid == null ? 0 : this.taskid.hashCode());
      result = 31 * result + (this.tasktableid == null ? 0 : this.tasktableid.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreSyncKeyindex other = (TCoreSyncKeyindex)obj;
         if (this.indexendtime == null) {
            if (other.indexendtime != null) {
               return false;
            }
         } else if (!this.indexendtime.equals(other.indexendtime)) {
            return false;
         }

         if (this.indexstarttime == null) {
            if (other.indexstarttime != null) {
               return false;
            }
         } else if (!this.indexstarttime.equals(other.indexstarttime)) {
            return false;
         }

         if (this.keyendtime == null) {
            if (other.keyendtime != null) {
               return false;
            }
         } else if (!this.keyendtime.equals(other.keyendtime)) {
            return false;
         }

         if (this.keystarttime == null) {
            if (other.keystarttime != null) {
               return false;
            }
         } else if (!this.keystarttime.equals(other.keystarttime)) {
            return false;
         }

         if (this.taskid == null) {
            if (other.taskid != null) {
               return false;
            }
         } else if (!this.taskid.equals(other.taskid)) {
            return false;
         }

         if (this.tasktableid == null) {
            if (other.tasktableid != null) {
               return false;
            }
         } else if (!this.tasktableid.equals(other.tasktableid)) {
            return false;
         }

         return true;
      }
   }

   public String toString() {
      return "TCoreSyncKeyindex [keystarttime=" + this.keystarttime + ", keyendtime=" + this.keyendtime + ", indexstarttime=" + this.indexstarttime + ", indexendtime=" + this.indexendtime + ", taskid=" + this.taskid + ", tasktableid=" + this.tasktableid + "]";
   }

   public TCoreSyncKeyindex(Date keystarttime, Date keyendtime, Date indexstarttime, Date indexendtime, String taskid, String tasktableid) {
      this.keystarttime = keystarttime;
      this.keyendtime = keyendtime;
      this.indexstarttime = indexstarttime;
      this.indexendtime = indexendtime;
      this.taskid = taskid;
      this.tasktableid = tasktableid;
   }
}
